Modify

Opened 6 years ago

Closed 3 years ago

Last modified 2 years ago

#7502 closed defect (fixed)

b44/roboswitch acting up on whr-g54s (bcm47xx)

Reported by: netprince Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: packages Version: Trunk
Keywords: b44 roboswitch Cc:

Description

While trying to get into failsafe mode on a whr-g54s, I see the following boot log. There is no network connectivity. I cannot telnet to the device.

CFE version 1.0.37-1.07 for BCM947XX (32bit,SP,LE)
Build Date: 2005ǯ 11·î 14Æü ·îÍËÆü 14:22:11 JST (root@ifedora)
Copyright (C) 2000,2001,2002,2003 Broadcom Corporation.

Initializing Arena
Initializing Devices.
* cmdset: AMD Standard
* Insaner_1 = (0xa8)
* flashutl_cmd: type (0004), read_id (0090)
 -> vendid (00C2), devid (22A8), devid2 (0000)
* flashutl_cmd: type (0003), read_id (0090)
 -> vendid (00C2), devid (22A8), devid2 (0000)
* flashutl_cmd: type (0002), read_id (0090)
 -> vendid (00C2), devid (22A8), devid2 (0000)
* Flash Info. -> manufacturer (00), device (FF)
* Flash Info. -> manufacturer2 (0000), device2 (0000)
* Insaner_2 = (0xa8)
* cmdset: AMD Standard
* Insaner_1 = (0xa8)
* flashutl_cmd: type (0004), read_id (0090)
 -> vendid (00C2), devid (22A8), devid2 (0000)
* flashutl_cmd: type (0003), read_id (0090)
 -> vendid (00C2), devid (22A8), devid2 (0000)
* flashutl_cmd: type (0002), read_id (0090)
 -> vendid (00C2), devid (22A8), devid2 (0000)
* Flash Info. -> manufacturer (00), device (FF)
* Flash Info. -> manufacturer2 (0000), device2 (0000)
* Insaner_2 = (0xa8)
* cmdset: AMD Standard
* Insaner_1 = (0xa8)
* flashutl_cmd: type (0004), read_id (0090)
 -> vendid (00C2), devid (22A8), devid2 (0000)
* flashutl_cmd: type (0003), read_id (0090)
 -> vendid (00C2), devid (22A8), devid2 (0000)
* flashutl_cmd: type (0002), read_id (0090)
 -> vendid (00C2), devid (22A8), devid2 (0000)
* Flash Info. -> manufacturer (00), device (FF)
* Flash Info. -> manufacturer2 (0000), device2 (0000)
* Insaner_2 = (0xa8)
et0: Broadcom BCM47xx 10/100 Mbps Ethernet Controller 3.90.39.0
* memc_config: (00048100) -> [00048000]
CPU type 0x29008: 200MHz
Total memory: 16384 KBytes

Total memory used by CFE:  0x80400000 - 0x804A29A0 (666016)
Initialized Data:          0x80438650 - 0x8043B1F0 (11168)
BSS Area:                  0x8043B1F0 - 0x8043C9A0 (6064)
Local Heap:                0x8043C9A0 - 0x804A09A0 (409600)
Stack Area:                0x804A09A0 - 0x804A29A0 (8192)
Text (code) segment:       0x80400000 - 0x80438650 (230992)
Boot area (physical):      0x004A3000 - 0x004E3000
Relocation Factor:         I:00000000 - D:00000000

Device eth0:  hwaddr 00-16-01-12-EB-70, ipaddr 192.168.11.1, mask 255.255.255.0
        gateway not set, nameserver not set
Wait a few seconds for an image
Reading :: Failed.: Timeout occured
>>> boot -raw -z -addr=0x80001000 -max=0x3a0000 flash0.os:
Loader:raw Filesys:raw Dev:flash0.os File: Options:(null)
Loading: .. 4092 bytes read
Entry at 0x80001000
Closing network.
Starting program at 0x80001000
Linux version 2.6.32.14 (psycadmin@psycadmin) (gcc version 4.3.3 (GCC) ) #1 Thu Jun 17 18:50:41 EDT 2010
CPU revision is: 00029008 (Broadcom BCM3302)
ssb: Initializing MIPS core...
ssb: set_irq: core 0x0806, irq 4 => 4
ssb: set_irq: core 0x0816, irq 5 => 2
ssb: set_irq: core 0x0812, irq 2 => 5
ssb: after irq reconfiguration
ssb: core 0x0800, irq : 2(S)  3* 4  5  6  D  I
ssb: core 0x0806, irq : 2(S)  3  4* 5  6  D  I
ssb: core 0x0816, irq : 2(S)* 3  4  5  6  D  I
ssb: core 0x0817, irq : 2(S)  3  4  5  6* D  I
ssb: core 0x080f, irq : 2(S)  3  4  5  6  D  I*
ssb: core 0x0812, irq : 2(S)  3  4  5* 6  D  I
ssb: core 0x081c, irq : 2(S)  3  4  5  6  D  I*
ssb: Sonics Silicon Backplane found at address 0x18000000
Serial init done.
Determined physical RAM map:
 memory: 01000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone PFN ranges:
  Normal   0x00000000 -> 0x00001000
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0: 0x00000000 -> 0x00001000
Built 1 zonelists in Zone order, mobility grouping off.  Total pages: 4064
Kernel command line: root=/dev/mtdblock2 rootfstype=squashfs,jffs2 noinitrd console=ttyS0,115200
PID hash table entries: 64 (order: -4, 256 bytes)
Dentry cache hash table entries: 2048 (order: 1, 8192 bytes)
Inode-cache hash table entries: 1024 (order: 0, 4096 bytes)
Primary instruction cache 16kB, VIPT, 2-way, linesize 16 bytes.
Primary data cache 8kB, 2-way, VIPT, no aliases, linesize 16 bytes
Memory: 13356k/16384k available (2254k kernel code, 3028k reserved, 350k data, 136k init, 0k highmem)
Hierarchical RCU implementation.
NR_IRQS:128
console [ttyS0] enabled
Calibrating delay loop... 199.16 BogoMIPS (lpj=398336)
Mount-cache hash table entries: 512
NET: Registered protocol family 16
bio: create slab <bio-0> at 0
Switching to clocksource MIPS
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 512 (order: 0, 4096 bytes)
TCP bind hash table entries: 512 (order: -1, 2048 bytes)
TCP: Hash tables configured (established 512 bind 512)
TCP reno registered
NET: Registered protocol family 1
squashfs: version 4.0 (2009/01/31) Phillip Lougher
Registering mini_fo version $Id$
JFFS2 version 2.2. (NAND) (SUMMARY)  © 2001-2006 Red Hat, Inc.
msgmni has been set to 26
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 2 ports, IRQ sharing enabled
serial8250: ttyS0 at MMIO 0xb8000300 (irq = 3) is a 16550A
serial8250: ttyS1 at MMIO 0xb8000400 (irq = 3) is a 16550A
serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 3) is a 16550A
serial8250.0: ttyS1 at MMIO 0xb8000400 (irq = 3) is a 16550A
flash init: 0x1c000000 0x02000000
Physically mapped flash: Found 1 x16 devices at 0x0 in 16-bit bank
 CFI mfr 0x000000c2
 CFI id  0x000022a8
 Amd/Fujitsu Extended Query Table at 0x0040
  Amd/Fujitsu Extended Query version 1.1.
number of CFI chips: 1
cfi_cmdset_0002: Disabling erase-suspend-program due to code brokenness.
Flash device: 0x400000 at 0x1fc00000
bootloader size: 262144
Creating 4 MTD partitions on "Physically mapped flash":
0x000000000000-0x000000040000 : "cfe"
0x000000040000-0x0000003f0000 : "linux"
0x000000114800-0x0000003f0000 : "rootfs"
mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=350000, len=A0000
0x000000350000-0x0000003f0000 : "rootfs_data"
0x0000003f0000-0x000000400000 : "nvram"
b44.c:v2.0
eth0: Broadcom 44xx/47xx 10/100BaseT Ethernet 00:16:01:12:eb:70
BCM47xx Watchdog Timer enabled (30 seconds, nowayout)
TCP westwood registered
NET: Registered protocol family 17
Bridge firewalling registered
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
Freeing unused kernel memory: 136k freed
Please be patient, while OpenWrt loads ...
diag: Detected 'Buffalo WHR-G54S'
b44: eth0: Link is up at 100 Mbps, full duplex.
b44: eth0: Flow control is off for TX and off for RX.
roboswitch: Probing device eth0: found a 5325! It's a 5350.
- preinit -
Press the [f] key and hit [enter] to enter failsafe mode
b44: eth0: powering down PHY
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:202] timeout in robo_reg!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:202] timeout in robo_reg!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:202] timeout in robo_reg!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:202] timeout in robo_reg!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:202] timeout in robo_reg!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:202] timeout in robo_reg!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:202] timeout in robo_reg!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:178] SIOCSMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:142] SIOCGMIIREG failed!
roboswitch: [/home/psycadmin/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:202] timeout in robo_reg!
b44: eth0: Link is up at 100 Mbps, full duplex.
b44: eth0: Flow control is off for TX and off for RX.
- failsafe -


BusyBox v1.16.2 (2010-06-17 17:37:16 EDT) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 KAMIKAZE (bleeding edge, r21813) ------------------
  * 10 oz Vodka       Shake well with ice and strain
  * 10 oz Triple sec  mixture into 10 shot glasses.
  * 10 oz lime juice  Salute!
 ---------------------------------------------------
root@(none):/#

Attachments (0)

Change History (8)

comment:1 Changed 5 years ago by anonymous

I have the same problem with my WRT54GL and a custom-compiled image.

CFE version 1.0.37 for BCM947XX (32bit,SP,LE)
Build Date: Tue Aug  7 17:14:08 CST 2007 (crazy@sw1.rd)
Copyright (C) 2000,2001,2002,2003 Broadcom Corporation.

Initializing Arena
Initializing Devices.

No DPN
et0: Broadcom BCM47xx 10/100 Mbps Ethernet Controller 3.90.37.0
CPU type 0x29008: 200MHz
Total memory: 16384 KBytes

Total memory used by CFE:  0x80300000 - 0x803A39B0 (670128)
Initialized Data:          0x803398C0 - 0x8033BFD0 (10000)
BSS Area:                  0x8033BFD0 - 0x8033D9B0 (6624)
Local Heap:                0x8033D9B0 - 0x803A19B0 (409600)
Stack Area:                0x803A19B0 - 0x803A39B0 (8192)
Text (code) segment:       0x80300000 - 0x803398C0 (235712)
Boot area (physical):      0x003A4000 - 0x003E4000
Relocation Factor:         I:00000000 - D:00000000

Boot version: v3.7
The boot is CFE

mac_init(): Find mac [00:23:69:FA:5B:3D] in location 0
Nothing...

No eou key find
Device eth0:  hwaddr 00-23-69-FA-5B-3D, ipaddr 192.168.1.1, mask 255.255.255.0
        gateway not set, nameserver not set
Reading :: Failed.: Timeout occured
Loader:raw Filesys:raw Dev:flash0.os File: Options:(null)
Loading: .. 3788 bytes read
Entry at 0x80001000
Closing network.
Starting program at 0x80001000
Linux version 2.6.36.4 (trent@prometheus) (gcc version 4.5.2 (Linaro GCC 4.5-2011.02-0) ) #1 Mon Mar 7 13:49:02 CST 2011
CPU revision is: 00029008 (Broadcom BCM3302)
ssb: chipcommon status is 0x0
ssb: Initializing MIPS core...
ssb: set_irq: core 0x0806, irq 4 => 4
ssb: set_irq: core 0x0816, irq 5 => 2
ssb: set_irq: core 0x0812, irq 2 => 5
ssb: after irq reconfiguration
ssb: core 0x0800, irq : 2(S)  3* 4  5  6  D  I 
ssb: core 0x0806, irq : 2(S)  3  4* 5  6  D  I 
ssb: core 0x0816, irq : 2(S)* 3  4  5  6  D  I 
ssb: core 0x0817, irq : 2(S)  3  4  5  6* D  I 
ssb: core 0x080f, irq : 2(S)  3  4  5  6  D  I*
ssb: core 0x0812, irq : 2(S)  3  4  5* 6  D  I 
ssb: core 0x081c, irq : 2(S)  3  4  5  6  D  I*
ssb: Sonics Silicon Backplane found at address 0x18000000
Determined physical RAM map:
 memory: 01000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone PFN ranges:
  Normal   0x00000000 -> 0x00001000
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0: 0x00000000 -> 0x00001000
Built 1 zonelists in Zone order, mobility grouping off.  Total pages: 4064
Kernel command line:  root=/dev/mtdblock2 rootfstype=squashfs,jffs2 noinitrd console=ttyS0,115200
PID hash table entries: 64 (order: -4, 256 bytes)
Dentry cache hash table entries: 2048 (order: 1, 8192 bytes)
Inode-cache hash table entries: 1024 (order: 0, 4096 bytes)
Primary instruction cache 16kB, VIPT, 2-way, linesize 16 bytes.
Primary data cache 8kB, 2-way, VIPT, no aliases, linesize 16 bytes
Memory: 13496k/16384k available (2126k kernel code, 2888k reserved, 319k data, 144k init, 0k highmem)
NR_IRQS:128
console [ttyS0] enabled
Calibrating delay loop... 199.16 BogoMIPS (lpj=398336)
pid_max: default: 32768 minimum: 301
Mount-cache hash table entries: 512
NET: Registered protocol family 16
bio: create slab <bio-0> at 0
Switching to clocksource MIPS
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 512 (order: 0, 4096 bytes)
TCP bind hash table entries: 512 (order: -1, 2048 bytes)
TCP: Hash tables configured (established 512 bind 512)
TCP reno registered
UDP hash table entries: 256 (order: 0, 4096 bytes)
UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
NET: Registered protocol family 1
squashfs: version 4.0 (2009/01/31) Phillip Lougher
Registering mini_fo version $Id$
JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
msgmni has been set to 26
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 2 ports, IRQ sharing enabled
serial8250: ttyS0 at MMIO 0xb8000300 (irq = 3) is a U6_16550A
serial8250: ttyS1 at MMIO 0xb8000400 (irq = 3) is a U6_16550A
serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 3) is a U6_16550A
serial8250.0: ttyS1 at MMIO 0xb8000400 (irq = 3) is a U6_16550A
flash init: 0x1c000000 0x02000000
Physically mapped flash: Found 1 x16 devices at 0x0 in 16-bit bank. Manufacturer ID 0x0000c2 Chip ID 0x0022a8
Amd/Fujitsu Extended Query Table at 0x0040
  Amd/Fujitsu Extended Query version 1.1.
number of CFI chips: 1
Flash device: 0x400000 at 0x1fc00000
bootloader size: 262144
Looking for dual image
TRX offset : 0
Creating 4 MTD partitions on "Physically mapped flash":
0x000000000000-0x000000040000 : "cfe"
0x000000040000-0x0000003f0000 : "linux"
0x000000110000-0x0000003f0000 : "rootfs"
mtd: partition "rootfs" set to be root filesystem
split_squashfs: no squashfs found in "Physically mapped flash"
0x0000003f0000-0x000000400000 : "nvram"
b44: b44.c:v2.0
b44 ssb0:0: eth0: Broadcom 44xx/47xx 10/100BaseT Ethernet 00:23:69:fa:5b:3d
BCM47xx Watchdog Timer enabled (30 seconds, nowayout)
TCP westwood registered
NET: Registered protocol family 17
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
VFS: Mounted root (jffs2 filesystem) readonly on device 31:2.
Freeing unused kernel memory: 144k freed
diag: Detected 'Linksys WRT54G/GS/GL'
b44 ssb0:0: eth0: Link is up at 100 Mbps, full duplex
b44 ssb0:0: eth0: Flow control is off for TX and off for RX
roboswitch: Probing device eth0: found a 5325! It's a 5350.
- preinit -
Press the [f] key and hit [enter] to enter failsafe mode
f
b44 ssb0:0: eth0: powering down PHY
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:197] timeout in robo_reg!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:197] timeout in robo_reg!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:197] timeout in robo_reg!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:197] timeout in robo_reg!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:197] timeout in robo_reg!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:197] timeout in robo_reg!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:197] timeout in robo_reg!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:173] SIOCSMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:137] SIOCGMIIREG failed!
roboswitch: [/home/trent/openwrtest/trunk/build_dir/linux-brcm47xx/kmod-switch/switch-robo.c:197] timeout in robo_reg!
b44 ssb0:0: eth0: Link is up at 100 Mbps, full duplex
b44 ssb0:0: eth0: Flow control is off for TX and off for RX
- failsafe -


BusyBox v1.17.3 (2011-03-07 07:17:47 CST) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 ATTITUDE ADJUSTMENT (bleeding edge, r25922) ----------
  * 1/4 oz Vodka      Pour all ingredents into mixing
  * 1/4 oz Gin        tin with ice, strain into glass.
  * 1/4 oz Amaretto
  * 1/4 oz Triple sec
  * 1/4 oz Peach schnapps
  * 1/4 oz Sour mix
  * 1 splash Cranberry juice

comment:2 Changed 4 years ago by anonymous

I have same problem with WHR-G54s on r36617

comment:3 Changed 4 years ago by camden.lindsay+openwrt@…

Adding email so i can see updates (hopefully)

comment:4 Changed 3 years ago by heehooman+openwrt-lists@…

This issue confirmed here too on a Linksys E1000 v1.

Failsafe is triggered, as can be seen on serial, however other nodes do not detect (ping 192.168.1.1, tcpdump -Ani eth0 port 4919 and udp) the router. However the physical link seems to be OK - the indicator lights on the node's NIC and on the router light up as usual. Tried all LAN, WAN ports on device too.

Here is the serial log:

Decompressing using gzip...........done
Start to blink diag led ...


CFE version 1.0.37 for BCM947XX (32bit,SP,LE)
Build Date: 01/13/10 11:50:36 CST (root@chungzi_pc)
Copyright (C) 2000-2008 Broadcom Corporation.

Initializing Arena
Initializing Devices.

No DPN
This is a Serial Flash
Boot partition size = 262144(0x40000)
Found a 4MB ST compatible serial flash
Partition information:
boot    #00   00000000 -> 0003FFFF  (262144)
trx     #01   00040000 -> 0004001B  (28)
os      #02   0004001C -> 003F7FFF  (3899364)
nvram   #03   003F8000 -> 003FFFFF  (32768)
Partition information:
boot    #00   00000000 -> 0003FFFF  (262144)
trx     #01   00040000 -> 003F7FFF  (3899392)
nvram   #02   003F8000 -> 003FFFFF  (32768)
BCM47XX_GMAC_ID
et0: Broadcom BCM47XX GMAC Mbps Ethernet Controller 5.10.56.51
CPU type 0x19749: 300MHz
Total memory: 32768 KBytes

CFE mem:    0x80700000 - 0x807A4A90 (674448)
Data:       0x8073AB10 - 0x8073DDF0 (13024)
BSS:        0x8073DDF0 - 0x8073EA90 (3232)
Heap:       0x8073EA90 - 0x807A2A90 (409600)
Stack:      0x807A2A90 - 0x807A4A90 (8192)
Text:       0x80700000 - 0x8073AB08 (240392)

Boot version: v5.1.4
The boot is CFE
mac_init(): Find mac <mac address hidden> in location 0
Nothing...

### CLKDIV= 0x80a082c, SFlashClkDiv=8 clkdivsf=4 ###
### Change it to 0x40a082c (4) ###
CMD: [ifconfig eth0 -addr=192.168.1.1 -mask=255.255.255.0]
Device eth0:  hwaddr <mac address hidden>, ipaddr 192.168.1.1, mask 255.255.255.0
        gateway not set, nameserver not set
CMD: [go;]
Check CRC of image1
  Len:     0x10000      (65536) (0xBC040000)
  Offset0: 0x1C         (28)            (0xBC04001C)
  Offset1: 0x960        (2400)  (0xBC040960)
  Offset2: 0xFF400      (1045504)       (0xBC13F400)
  Header CRC:    0xEC1809E8
  Calculate CRC: 0xEC1809E8
Image 1 is OK
Try to load image 1.
Waiting for 3 seconds to upgrade ...
CMD: [load -raw -addr=0x807a4a90 -max=0x185b570 :]
Loader:raw Filesys:tftp Dev:eth0 File:: Options:(null)
Loading: _tftpd_open(): retries=0/3
_tftpd_open(): retries=1/3
_tftpd_open(): retries=2/3

### Start=46106596 E=607296713 Delta=561190117 ###
Failed.
Could not load :: Timeout occured
CMD: [boot -raw -z -addr=0x80001000 -max=0x6ff000 flash0.os:]
Loader:raw Filesys:raw Dev:flash0.os File: Options:(null)
Loading: .. 3780 bytes read

### Start=610366993 E=611134153 Delta=767160 ###
Entry at 0x80001000
Closing network.
Starting program at 0x80001000
[    0.000000] Linux version 3.8.13 (me@computing-device) (gcc version 4.6.4 (OpenWrt/Linaro GCC 4.6-2012.12 r36976) ) #1 Thu Jun 20 06:47:34 EDT 2013
[    0.000000] CPU revision is: 00019749 (MIPS 74Kc)
[    0.000000] bcm47xx: using bcma bus
[    0.000000] bcma: bus0: Found chip with id 0xB83A, rev 0x00 and package 0x02
[    0.000000] bcma: bus0: Core 0 found: ChipCommon (manuf 0x4BF, id 0x800, rev 0x1F, class 0x0)
[    0.000000] bcma: bus0: Core 3 found: MIPS 74K (manuf 0x4A7, id 0x82C, rev 0x02, class 0x0)
[    0.000000] bcma: bus0: Found M25P32 serial flash (size: 4096KiB, blocksize: 0x10000, blocks: 64)
[    0.000000] bcma: bus0: Early bus registered
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 02000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone ranges:
[    0.000000]   Normal   [mem 0x00000000-0x01ffffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00000000-0x01ffffff]
[    0.000000] Primary instruction cache 32kB, VIPT, 4-way, linesize 32 bytes.
[    0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
[    0.000000] Kernel command line:  noinitrd console=ttyS0,115200
[    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] __ex_table already sorted, skipping sort
[    0.000000] Writing ErrCtl register=00000000
[    0.000000] Readback ErrCtl register=00000000
[    0.000000] Memory: 29068k/32768k available (2369k kernel code, 3700k reserved, 549k data, 212k init, 0k highmem)
[    0.000000] NR_IRQS:128
[    0.032000] Calibrating delay loop... 149.50 BogoMIPS (lpj=299008)
[    0.032000] pid_max: default: 32768 minimum: 301
[    0.032000] Mount-cache hash table entries: 512
[    0.036000] NET: Registered protocol family 16
[    0.060000] bio: create slab <bio-0> at 0
[    0.068000] Switching to clocksource MIPS
[    0.080000] NET: Registered protocol family 2
[    0.080000] TCP established hash table entries: 512 (order: 0, 4096 bytes)
[    0.080000] TCP bind hash table entries: 512 (order: -1, 2048 bytes)
[    0.080000] TCP: Hash tables configured (established 512 bind 512)
[    0.080000] TCP: reno registered
[    0.080000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.080000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.080000] NET: Registered protocol family 1
[    0.084000] bcma: bus0: Core 1 found: IEEE 802.11 (manuf 0x4BF, id 0x812, rev 0x11, class 0x0)
[    0.084000] bcma: bus0: Core 2 found: GBit MAC (manuf 0x4BF, id 0x82D, rev 0x01, class 0x0)
[    0.084000] bcma: bus0: Core 4 found: DDR1/DDR2 Memory Controller (manuf 0x4BF, id 0x82E, rev 0x01, class 0x0)
[    0.128000] bcma: bus0: Bus registered
[    0.136000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.136000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.136000] msgmni has been set to 56
[    0.136000] io scheduler noop registered
[    0.136000] io scheduler deadline registered (default)
[    0.136000] Serial: 8250/16550 driver, 2 ports, IRQ sharing enabled
[    0.160000] serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 2) is a U6_16550A
[    0.476000] console [ttyS0] enabled
[    0.484000] bcm47xxsflash: found serial flash: blocksize=64KB, numblocks=64, size=4096KB
[    0.536000] 6 bcm47xxpart partitions found on MTD device bcm47xx-sflash
[    0.544000] Creating 6 MTD partitions on "bcm47xx-sflash":
[    0.548000] 0x000000000000-0x000000040000 : "boot"
[    0.556000] 0x000000040000-0x0000003f0000 : "linux"
[    0.568000] 0x00000004001c-0x000000040960 : "loader"
[    0.576000] 0x000000040960-0x00000013f400 : "kernel"
[    0.580000] mtd: partition "kernel" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.596000] 0x00000013f400-0x0000003f0000 : "rootfs"
[    0.604000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.620000] mtd: partition "rootfs" set to be root filesystem
[    0.624000] mtd: partition "rootfs_data" created automatically, ofs=2F0000, len=100000
[    0.632000] 0x0000002f0000-0x0000003f0000 : "rootfs_data"
[    0.644000] 0x0000003f0000-0x000000400000 : "nvram"
[    0.656000] bcm47xx-wdt bcm47xx-wdt.0: BCM47xx Watchdog Timer enabled (30 seconds)
[    0.664000] TCP: cubic registered
[    0.668000] NET: Registered protocol family 17
[    0.672000] 8021q: 802.1Q VLAN Support v1.8
[    0.692000] VFS: Mounted root (squashfs filesystem) readonly on device 31:4.
[    0.700000] Freeing unused kernel memory: 212k freed
[    3.864000] Found board: "Linksys E1000 V1"
[    3.868000] diag: kernel found a "Linksys E1000 V1"
[    3.872000] diag: Detected 'Linksys E1000 V1'
[    4.068000] bgmac bcma0:1: Found PHY addr: 30 (NOREGS)
[    4.076000] bgmac bcma0:1: Support for Roboswitch not implemented
[    4.108000] bgmac: Broadcom 47xx GBit MAC driver loaded
[    4.344000] roboswitch: Probing device 'eth0'
[    4.428000] roboswitch: found a 5325! at eth0
- preinit -
Press the [f] key and hit [enter] to enter failsafe mode
[    5.188000] roboswitch: failed to write mdio reg: 24 with err -11.
[    5.196000] roboswitch: failed to write mdio reg: 16 with err -11.
[    5.200000] roboswitch: failed to write mdio reg: 17 with err -11.
[    5.208000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.212000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.220000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.224000] roboswitch: timeout in robo_reg on page 52 and reg 16 with op 1.
[    5.232000] roboswitch: failed to write mdio reg: 24 with err -11.
[    5.240000] roboswitch: failed to write mdio reg: 16 with err -11.
[    5.244000] roboswitch: failed to write mdio reg: 17 with err -11.
[    5.252000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.256000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.264000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.272000] roboswitch: timeout in robo_reg on page 52 and reg 18 with op 1.
[    5.276000] roboswitch: failed to write mdio reg: 24 with err -11.
[    5.284000] roboswitch: failed to write mdio reg: 16 with err -11.
[    5.292000] roboswitch: failed to write mdio reg: 17 with err -11.
[    5.296000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.304000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.308000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.316000] roboswitch: timeout in robo_reg on page 52 and reg 20 with op 1.
[    5.324000] roboswitch: failed to write mdio reg: 24 with err -11.
[    5.328000] roboswitch: failed to write mdio reg: 16 with err -11.
[    5.336000] roboswitch: failed to write mdio reg: 17 with err -11.
[    5.340000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.348000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.352000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.360000] roboswitch: timeout in robo_reg on page 52 and reg 22 with op 1.
[    5.368000] roboswitch: failed to write mdio reg: 24 with err -11.
[    5.372000] roboswitch: failed to write mdio reg: 16 with err -11.
[    5.380000] roboswitch: failed to write mdio reg: 17 with err -11.
[    5.388000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.392000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.400000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.404000] roboswitch: timeout in robo_reg on page 52 and reg 24 with op 1.
[    5.412000] roboswitch: failed to write mdio reg: 24 with err -11.
[    5.420000] roboswitch: failed to write mdio reg: 16 with err -11.
[    5.424000] roboswitch: failed to write mdio reg: 17 with err -11.
[    5.432000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.436000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.444000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.448000] roboswitch: timeout in robo_reg on page 52 and reg 26 with op 1.
[    5.456000] roboswitch: failed to write mdio reg: 24 with err -11.
[    5.464000] roboswitch: failed to write mdio reg: 25 with err -11.
[    5.468000] roboswitch: failed to write mdio reg: 16 with err -11.
[    5.476000] roboswitch: failed to write mdio reg: 17 with err -11.
[    5.480000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.488000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.496000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.500000] roboswitch: timeout in robo_reg on page 52 and reg 8 with op 1.
[    5.508000] roboswitch: failed to write mdio reg: 24 with err -11.
[    5.512000] roboswitch: failed to write mdio reg: 16 with err -11.
[    5.520000] roboswitch: failed to write mdio reg: 17 with err -11.
[    5.528000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.532000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.540000] roboswitch: failed to read mdio reg 17 with err -11.
[    5.544000] roboswitch: timeout in robo_reg on page 52 and reg 6 with op 1.
- failsafe -


BusyBox v1.19.4 (2013-06-20 06:31:11 EDT) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 BARRIER BREAKER (Bleeding Edge, r36976)
 -----------------------------------------------------
  * 1/2 oz Galliano         Pour all ingredients into
  * 4 oz cold Coffee        an irish coffee mug filled
  * 1 1/2 oz Dark Rum       with crushed ice. Stir.
  * 2 tsp. Creme de Cacao
 -----------------------------------------------------
root@(none):/# ifconfig
eth0      Link encap:Ethernet  HWaddr <mac address hidden>
          inet addr:192.168.1.1  Bcast:192.168.1.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:4 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 B)  TX bytes:0 (0.0 B)
          Interrupt:4

comment:5 Changed 3 years ago by hauke

  • Resolution set to fixed
  • Status changed from new to closed

telnet access in failsafe is working.

With kernel 3.10 and the new switch driver the initial udp package to indicate the failsafe is not send, this will be fixed later.

comment:6 Changed 3 years ago by anonymous

@hauke
Is this in trunk?
I'd like to note that these devices aren't supported in trunk OR attitude adjustment due to ram limitation...
just a thought.
I need to re-test in 10.03 Backfire to make sure it works there

comment:7 Changed 3 years ago by hauke

Support was not completely removed for these devices, you will just have problems with them because of the ram limitations.

comment:8 Changed 2 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.